Ubuntu is a computer operating system based on the Debian Linux distribution and distributed as free and open source software, using its own desktop environment.

learn more… | top users | synonyms

0
votes
0answers
30 views

Opening ESRI Personal Geodatabase (*.mdb) in Ubuntu QGIS? [on hold]

This question has multiple components. (1) The immediate problem: Cannot load the data from a file called landuse.mdb into QGIS. Ubuntu version: 14.04 LTS, 64-bit. Mostly vanilla install. QGIS ...
3
votes
1answer
58 views
+100

Qgis globe plugin (2.16) missing on Ubuntu 14.04

I just upgraded from Qgis 2.14 to 2.16 and I can't get the Globe plugin to work. Apparently, under Ubuntu it is necessary to install it separately. But in the Ubuntugis repository, only version 2.14 ...
1
vote
1answer
51 views

Restoring PostGIS 2.1. dump in PostGIS 2.2

I tryed to restore my old PostGIS dumps (Postgis 2.1, PostgreSQL 9.1) at my new system (PostGIS 2.2 and PostgreSQL 9.5) I was using pgadmin3 to dump the databases and was now trying to restore it ...
0
votes
0answers
13 views

Error while instaling CartoDB editor

I am trying to install CartoDB on ubuntu 12.04 x64 by following this instruction: http://cartodb.readthedocs.io/en/latest/install.html. Everything went fine until line: RAILS_ENV=development bundle ...
1
vote
1answer
79 views

QGIS update failed

Until yesterday my whole qgis and python-qgis worked fine with version 2.14 under Ubuntu 14.04. After a simple sudo apt-get update and sudo apt-get upgrade qgis failed to update... Several attempts to ...
0
votes
1answer
64 views

Where to find a version of libgeos-c1 compatible with libgeos-3.5.0?

This morning a number of Python scripts stopped functioning after a system upgrade. libgdal is no longer available, resulting in the following exception: ImportError: libgdal.so.1: cannot open shared ...
1
vote
3answers
75 views

Why is the Globe plugin missing in QGIS 2.17.0 master?

It seems that the 'Globe' plugin is missing in QGIS 2.17.0 master. Is this a bug or is there something I'm doing wrong:
1
vote
1answer
33 views

shp2pgsql-gui not work after Ubuntu update

I'm using Ubuntu 14.04 with postgres-9.5 and postgis 2.2.2. Previously I performed shp2pgsql-gui to access the interface, but now, the terminal shows me this message: the program shp2pgsql-gui not ...
0
votes
0answers
17 views

SAGA-GIS (2.3.1) fatal error during compilation (Ubuntu 16.04) hdf5.h not found in /usr/include/vigra/ subdir

OS : Ubuntu 16.04 Compilation using : ./configure && make I encountered a fatal error while compiling SAGA-GIS 2.3.1 : Making all in imagery_vigra make[5]: Entering directory '/home/...
1
vote
0answers
34 views

QGIS options menu causes freeze on Ubuntu 16.04, solutions?

First time asking, I've checked the internet and no luck. I am unable to edit the program options in QGIS 2.14.3 running on Ubuntu 16.04 (settings -> options). I've uninstalled all QGIS packages (...
0
votes
0answers
28 views

Installing LASzip in Ubuntu?

I have tried without any success to install LASzip¹ ² (paper by Isenburg about LASzip) on Ubuntu 16.04. The basic way gave me nothing relevant: ./configure && make & checkinstall which ...
0
votes
0answers
14 views

Qgis Server error while loading wms layer in qgis

I have created qgis server by following link http://hub.qgis.org/projects/quantum-gis/wiki/QGIS_Server_Tutorial and http://docs.qgis.org/testing/en/docs/user_manual/working_with_ogc/...
1
vote
0answers
31 views

How to change which python GDAL is “connected” to?

I would like to use GDAL with Python 2.7 on Ubuntu 14.04. I have installed gdal-bin and python-gdal from UbuntuGIS following their instructions. However, importing GDAL (from osgeo import gdal) only ...
1
vote
0answers
51 views

QGIS with GRASS on ubuntu 16.04

Following the advice on How to correctly install QGIS 2.8.3 with GRASS plugin on Ubuntu 14.04?... I've installed qgis, qgis-plugin-grass, python-qgis, grass-core=6.4.3-3, grass=6.4.3-3, grass-doc=6.4....
2
votes
0answers
33 views

QGIS segmentation fault related to numpy on Ubuntu

I'm running QGIS 2.14 on Ubuntu 14.04 and everything's been working just fine until I upgraded a few Python packages via pip this afternoon. Since doing that, QGIS crashes with a segmentation fault ...
1
vote
1answer
40 views

What is the correct (QGIS) syntax for a masked PostQIS spatial query?

What is the correct syntax if I want to query a masked region from PostGIS from inside QGIS ? The data is from "planet_osm_poly" (imported via osm2pgsql) and I'd like to use a polygone from a ...
0
votes
1answer
35 views

Installing QGIS-Server on Ubuntu 14 (64-Bit AWS EC2 Instance), /cgi-bin/ doesn't work

I've been trying to install qgis-server (2.14) on Ubuntu 14 (64-bit) using instructions from the the qgis-server installation instructions and tips from this question. All the packages install, I can ...
0
votes
0answers
36 views

renderd: encountered during parsing of layer 'landuse_gen0'

I am trying to set up open street map on a Ubuntu machine on Amazon. I have imported the whole world into postgresql and it took many days. I am following the tutorial at https://switch2osm.org/...
2
votes
1answer
74 views

Cannot update GDAL on Ubuntu

I am trying to use GDAL_Rasterize and found a link via Google that suggested that there were bugs in older versions. I am running Ubuntu 14.04 LTS and 'gdalinfo --version' gives me 'GDAL 1.11.2, ...
1
vote
0answers
52 views

ogr2ogr not running on Ubuntu 15.10

I'm trying to convert an osm.pbf file to a spatialite db but I can't get ogr2ogr to run. I have qgis 2.14.2 and ubuntu 15.10. I've reinstalled gdal-bin and I'm getting the following message from the ...
1
vote
0answers
12 views

NVIZ not installed/working?

I am running GRASS GIS 7.0.4 on Ubuntu 16.04. After completing a tutorial on extruding vector data, I tried running the nviz command to see the result in a 3D-view. This is in norwegian, but it ...
0
votes
2answers
313 views

PostGIS broken after Ubuntu 16.04 upgrade

I upgraded Ubuntu from 15.01 to 16.04 and PostGIS is broken. Below are the errors: psql (9.5.2) Type "help" for help. osm=# select version(); version ------...
1
vote
2answers
156 views

The connection was reset deploying geoserver.war in ubuntu

I have installed Tomcat 7 in Ubuntu and when I try to deploy geoserver.war I receive the error "The connection was reset" in Firefox and "402 Access Denied" in Chromium. How do I deploy geoserver.war?...
1
vote
1answer
52 views

How to get QGIS to use dedicated graphics card over integrated

does anyone know how i'd be able to get QGIS in either windows or Ubuntu to use the dedicated graphics card over the integrated graphics? I am attempting to speed up the processing of a supervised ...
9
votes
3answers
3k views

Install QGIS 2.14 Essen on Ubuntu 16.04 Xenial

I'm having trouble installing QGIS on Xenial. `debian` release When I try using the debian release (i.e. without ubuntugis dependencies) I get the following errors (please note there is no xenial ...
1
vote
0answers
25 views

Why does QGIS spontaneously corrupt shapefile data? [duplicate]

I'm using QGIS 2.14 (Mac), but I have had the same problem with 2.8 (Ubuntu). When I am editing a shapefile, QGIS seems to spontaneously corrupt the data in unpredictable and catastrophic ways that ...
0
votes
0answers
70 views

Geoserver not starting

I have downloaded Geoserver 2.8.3 on a fresh Ubuntu installation which I access via SSH. I installed Java 8 and setted up JAVA_HOME and GEOSERVER_HOME to the right locations. When i run ./startup.sh ...
0
votes
1answer
72 views

Why can't I run .tif file with GDAL?

I am trying to extract data from a geotiff file in the Ubuntu terminal. My professor used the command "gdal NDVI.tif" and was able to write the data to a text file. When I use that command, I get the ...
1
vote
0answers
77 views

QGIS 2.14 Linux/Ubuntu GRASS algorithms - This algorithm cannot be run :-(

Does someone else have the problem that GRASS Tools don't work in QGIS 2.14 Toolbox ? Error: "This algorithm cannot be run :-(" GRASS7 is enabled in Toolbox options and installed (with QGIS-GRASS ...
0
votes
0answers
97 views

How to open ArcGIS personal geodatabase (*.mdb) in QGIS installed under Ubuntu

I did open easily ArcGIS personal geodatabases (mdb files) under my previous Windows version of QGIS by using "Add Vector Layer" > (Source type) File, but I cannot use the same method under Ubuntu (...
0
votes
1answer
44 views

Local Nominatim install accessing with API

I have installed a local Nominatim install on Ubuntu using the instructions located at http://wiki.openstreetmap.org/wiki/Nominatim/Installation and I am using Apache. The installation appears to ...
2
votes
1answer
48 views

MODIS data with .hdf extension not compiling in Ubuntu

I am trying to use GDAL to read .hdf file, but it does not seem to recognize the extension. It works fine in Windows system. The GDAL open command gives the following error message: ERROR 4: `...
1
vote
0answers
31 views

Error while creating plugin using plugin builder in Ubuntu 15.04

I am building a QGIS plugin using qgis plugin builder 2.10.1. I am using Ubuntu 15.04. I had selected (/usr/share/qgis/python/plugins) path for the plugin to store in plugin builder, Its raising an ...
0
votes
0answers
72 views

Google Earth graphics card problem in Ubuntu 14.04 64bit

I am struggling to get Google Earth working properly in Ubuntu 14.04 64bit. The program opens correctly and does not crash, as many report over the web. But it has trouble working with the graphics ...
1
vote
1answer
38 views

Install pygeoprocessing on ubuntu 14.04 and python3

I'm trying to install the pygeoprocessing package for Python 3.4 on an Ubuntu 14.04 VM. I have all the necessary versions of the required dependencies (GDAL, numpy, scipy, shapely, Cython). ...
5
votes
2answers
123 views

GRASS r.in.lidar tool generates incomplete rasters

I have been trying to import a huge LIDAR file (10.5) Gb to GRASS GIS using r.in.lidar. It does the task, but only for part of the image, as shown below: Canopy Height Model (CHM) generated with ...
0
votes
0answers
52 views

Ordnance Survey Master Map font in QGIS 2.14

I have been trying to style some OSMM data using their supplied QML files which include a font with some of their symbology in. I've added the font to my system (ubuntu 14.04 LTS) and when viewed in ...
2
votes
1answer
183 views

QGIS Segmentation fault (core dumped)

QGIS 2.14 works fine until a couple of day (ubuntu 15.10 wily). QGIS crash at startup with only this error : Segmentation fault (core dumped) sudo qgis don't give any error but qgis don't start. ...
0
votes
1answer
52 views

SFCGAL compilation: How to specify CGAL path?

I'm a Linux newbie but nevertheless I want to install SFCGAL on OSGeoLive Virtual Machine (this is Ubuntu 14.04.4. LTS trusty). So first of all I had to get the dependencies, e.g. CGAL. Unfortunately ...
1
vote
1answer
196 views

How to build osm tileserver (Ubuntu 14.04 LTS)?

I'm trying to follow the tutorial: https://switch2osm.org/serving-tiles/manually-building-a-tile-server-14-04/ And the first part works greatly, but because i'm new at using Linux (Ubuntu 14.04 LTS ...
2
votes
0answers
377 views

QGIS 2.14 fails to install on Ubuntu 14.04

My previously working installation of QGIS 2.14 on Ubuntu 14.04 suddenly failed to start QGIS. I have been trying to reinstall QGIS without success. I have tried several ways to completely uninstall ...
0
votes
1answer
35 views

3D interactive terrain visualization with GRASS 7

GRASS 6 had an interesting and interactive terrain visualization tool which was based on Tcl/Tk and called NViz. After my Ubuntu 15.10 updated itself for GRASS 7.0, the NViz interactive tool is ...
1
vote
1answer
71 views

PostGIS raster geoTiff simple Lat/Lon query example

I've successfully loaded a geoTif into PostGIS (Postgresql 9.3.9) using the following command on my Ubuntu 14.04 server:- sudo -u postgres raster2pgsql -s 4326 -d -I -C -M -R -l 4 /path/to/my_raster....
0
votes
1answer
38 views

Grass r.gwr addon difficulties Ubuntu

I am using Grass7 and Ubuntu14.4 I am attempting to carry out a geographically weighted regression between two .tif files but am having issues with the call to r.gwr Code and output is as follows. ...
0
votes
0answers
53 views

GRASS on Ubuntu: ERROR: Variable 'LOCATION_NAME' not set

I am running grass 7.0.03 on Ubuntu 14.04 When attempting to run GRASS using gksudo GRASS I get as far as clicking the start new session button and get the following information in the bash shell: ...
0
votes
1answer
59 views

Is there some method on Ubuntu to request newest postgresql postgis package rather than specific version?

There is postgresql-9.3-postgis-2.1 and there is postgresql-9.4-postgis-2.1. Unfortunately 9.3 is available only on trusty and 9.4 is not available on trusty (see http://packages.ubuntu.com/search?...
1
vote
0answers
36 views

Is there a native JAI implementation for Ubuntu 14.04 64 bit? I'm trying to boost geoserver performance

Is there a native JAI implementation for Ubuntu 14.04 64 bit? I can't find it anywhere.
3
votes
1answer
73 views

Need WFS-T for field work on GeoServer/PostGIS

I'm using a Boundless install of OpenGeo Suite on Ubuntu Server 12.04 with Tomcat 7. I need to allow remote access to update from the field. I can edit features fine on network, but not remotely. *...
3
votes
4answers
93 views

Problem in ubuntu loading geoserver wms layer in local server with leaflet

I am just starting to work with geoserver. I am trying to do the same openlayers-geoserver example but using leaflet to view the map instead of openlayers: Publishing a shapefile This code is not ...
0
votes
1answer
35 views

Unable to call otbApplication from python

I have been tryng to use some of OTB functions from python, but i am unable to import the module (otbApplication), even after to adding the PYTHONPATH to my basrc file. I am working in Ubuntu14.04, ...